For clean Markdown of any page, append .md to the page URL. For a complete documentation index, see https://docs.rebateright.com.au/api-reference/medicare-claiming/interactive-patient-claims/llms.txt. For full documentation content, see https://docs.rebateright.com.au/api-reference/medicare-claiming/interactive-patient-claims/llms-full.txt.

# Interactive Patient Claim — General

POST https://api.rebateright.com.au/Medicare/patientclaiminteractive/general/v1
Content-Type: application/json

The **general** interactive patient claim endpoint submits a Medicare patient claim for professional services that do not require a
referral or request. The claimant authorises the submission and receives the Medicare benefit; the patient received
the service. They may be the same person.

Field rules and response shapes are defined on the **request body**, **`200`**, and **`400`** JSON schemas for this
operation. Shared component definitions are in **`components.schemas`** at the bottom of this file (`PciwPatientClaimInteractiveRequestBody`,
`PciwPatientClaimInteractiveSuccessResponse`, `PciwMedicareServiceMessageError`) and are reused by the specialist and pathology paths.


Reference: https://docs.rebateright.com.au/api-reference/medicare-claiming/interactive-patient-claims/interactive-patient-claim-general

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /Medicare/patientclaiminteractive/general/v1:
    post:
      operationId: interactive-patient-claim-general
      summary: Interactive Patient Claim — General
      description: >
        The **general** interactive patient claim endpoint submits a Medicare
        patient claim for professional services that do not require a

        referral or request. The claimant authorises the submission and receives
        the Medicare benefit; the patient received

        the service. They may be the same person.


        Field rules and response shapes are defined on the **request body**,
        **`200`**, and **`400`** JSON schemas for this

        operation. Shared component definitions are in **`components.schemas`**
        at the bottom of this file (`PciwPatientClaimInteractiveRequestBody`,

        `PciwPatientClaimInteractiveSuccessResponse`,
        `PciwMedicareServiceMessageError`) and are reused by the specialist and
        pathology paths.
      tags:
        - >-
          subpackage_medicareClaiming.subpackage_medicareClaiming/interactivePatientClaims
      parameters:
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Claim submitted successfully.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PciwPatientClaimInteractiveSuccessResponse
        '400':
          description: >-
            Validation failure — body includes `serviceMessage` entries and
            `correlationId`.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PciwMedicareServiceMessageError'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PciwPatientClaimInteractiveRequestBody'
servers:
  - url: https://api.rebateright.com.au
  - url: https://test-api.rebateright.com.au
components:
  schemas:
    PciwPatientClaimInteractiveRequestBodyPatientClaimInteractiveServiceProvider:
      type: object
      properties:
        providerNumber:
          type: string
      required:
        - providerNumber
      title: >-
        PciwPatientClaimInteractiveRequestBodyPatientClaimInteractiveServiceProvider
    PciwPatientClaimInteractiveRequestBodyPatientClaimInteractivePayeeProvider:
      type: object
      properties:
        providerNumber:
          type: string
      required:
        - providerNumber
      description: >-
        Optional. The provider to whom the Medicare benefit is paid, if
        different from the servicing provider.
      title: >-
        PciwPatientClaimInteractiveRequestBodyPatientClaimInteractivePayeeProvider
    PciwPatientClaimInteractiveRequestBodyPatientClaimInteractivePatientIdentity:
      type: object
      properties:
        givenName:
          type: string
        familyName:
          type: string
        dateOfBirth:
          type: string
          format: date
      required:
        - givenName
        - familyName
        - dateOfBirth
      title: >-
        PciwPatientClaimInteractiveRequestBodyPatientClaimInteractivePatientIdentity
    PciwPatientClaimInteractiveRequestBodyPatientClaimInteractivePatientMedicare:
      type: object
      properties:
        memberNumber:
          type: string
        memberRefNumber:
          type: string
      required:
        - memberNumber
        - memberRefNumber
      title: >-
        PciwPatientClaimInteractiveRequestBodyPatientClaimInteractivePatientMedicare
    PciwPatientClaimInteractiveRequestBodyPatientClaimInteractivePatient:
      type: object
      properties:
        identity:
          $ref: >-
            #/components/schemas/PciwPatientClaimInteractiveRequestBodyPatientClaimInteractivePatientIdentity
        medicare:
          $ref: >-
            #/components/schemas/PciwPatientClaimInteractiveRequestBodyPatientClaimInteractivePatientMedicare
      required:
        - identity
        - medicare
      title: PciwPatientClaimInteractiveRequestBodyPatientClaimInteractivePatient
    PciwPatientClaimInteractiveRequestBodyPatientClaimInteractiveClaimantIdentity:
      type: object
      properties:
        givenName:
          type: string
        familyName:
          type: string
        dateOfBirth:
          type: string
          format: date
      title: >-
        PciwPatientClaimInteractiveRequestBodyPatientClaimInteractiveClaimantIdentity
    PciwPatientClaimInteractiveRequestBodyPatientClaimInteractiveClaimantMedicare:
      type: object
      properties:
        memberNumber:
          type: string
        memberRefNumber:
          type: string
      title: >-
        PciwPatientClaimInteractiveRequestBodyPatientClaimInteractiveClaimantMedicare
    PciwPatientClaimInteractiveRequestBodyPatientClaimInteractiveClaimantEftDetails:
      type: object
      properties:
        accountName:
          type: string
        accountNumber:
          type: string
        bsbCode:
          type: string
      title: >-
        PciwPatientClaimInteractiveRequestBodyPatientClaimInteractiveClaimantEftDetails
    PciwPatientClaimInteractiveRequestBodyPatientClaimInteractiveClaimantResidentialAddress:
      type: object
      properties:
        addressLineOne:
          type: string
        addressLineTwo:
          type: string
        locality:
          type: string
        postcode:
          type: string
      title: >-
        PciwPatientClaimInteractiveRequestBodyPatientClaimInteractiveClaimantResidentialAddress
    PciwPatientClaimInteractiveRequestBodyPatientClaimInteractiveClaimantContactDetails:
      type: object
      properties:
        name:
          type: string
        phoneNumber:
          type: string
        emailAddress:
          type: string
      title: >-
        PciwPatientClaimInteractiveRequestBodyPatientClaimInteractiveClaimantContactDetails
    PciwPatientClaimInteractiveRequestBodyPatientClaimInteractiveClaimant:
      type: object
      properties:
        identity:
          $ref: >-
            #/components/schemas/PciwPatientClaimInteractiveRequestBodyPatientClaimInteractiveClaimantIdentity
        medicare:
          $ref: >-
            #/components/schemas/PciwPatientClaimInteractiveRequestBodyPatientClaimInteractiveClaimantMedicare
        eftDetails:
          $ref: >-
            #/components/schemas/PciwPatientClaimInteractiveRequestBodyPatientClaimInteractiveClaimantEftDetails
        residentialAddress:
          $ref: >-
            #/components/schemas/PciwPatientClaimInteractiveRequestBodyPatientClaimInteractiveClaimantResidentialAddress
        contactDetails:
          $ref: >-
            #/components/schemas/PciwPatientClaimInteractiveRequestBodyPatientClaimInteractiveClaimantContactDetails
      description: >-
        Optional. Include when the claimant differs from the patient, or to
        supply bank or address details.
      title: PciwPatientClaimInteractiveRequestBodyPatientClaimInteractiveClaimant
    PciwPatientClaimInteractiveRequestBodyPatientClaimInteractiveMedicalEventItemsServiceItems:
      type: object
      properties:
        id:
          type: string
        itemNumber:
          type: string
        chargeAmount:
          type: string
        hospitalInd:
          type: string
        facilityId:
          type: string
        patientContribAmount:
          type: string
        numberOfPatientsSeen:
          type: string
        aftercareOverrideInd:
          type: string
        duplicateServiceOverrideInd:
          type: string
        multipleProcedureOverrideInd:
          type: string
        restrictiveOverrideCode:
          type: string
        timeDuration:
          type: string
        text:
          type: string
        fieldQuantity:
          type: string
        lspNumber:
          type: string
        rule3ExemptInd:
          type: string
        s4b3ExemptInd:
          type: string
      required:
        - id
        - itemNumber
        - chargeAmount
      title: >-
        PciwPatientClaimInteractiveRequestBodyPatientClaimInteractiveMedicalEventItemsServiceItems
    PciwPatientClaimInteractiveRequestBodyPatientClaimInteractiveMedicalEventItems:
      type: object
      properties:
        id:
          type: string
        medicalEventDate:
          type: string
          format: date
        medicalEventTime:
          type: string
        service:
          type: array
          items:
            $ref: >-
              #/components/schemas/PciwPatientClaimInteractiveRequestBodyPatientClaimInteractiveMedicalEventItemsServiceItems
      required:
        - id
        - medicalEventDate
        - service
      title: >-
        PciwPatientClaimInteractiveRequestBodyPatientClaimInteractiveMedicalEventItems
    PciwPatientClaimInteractiveRequestBodyPatientClaimInteractive:
      type: object
      properties:
        accountPaidInd:
          type: string
          description: '`Y` if the account has been paid in full, `N` if not paid.'
        authorisationDate:
          type: string
          format: date
          description: Date the claim was authorised. Must not be in the future.
        submissionAuthorityInd:
          type: string
          description: >-
            Must be `Y`. Confirms the claimant has authorised the practice to
            submit on their behalf.
        accountReferenceId:
          type: string
          description: >-
            Optional. A reference used by the submitter to identify the claim.
            1–9 alphanumeric characters.
        serviceProvider:
          $ref: >-
            #/components/schemas/PciwPatientClaimInteractiveRequestBodyPatientClaimInteractiveServiceProvider
        payeeProvider:
          $ref: >-
            #/components/schemas/PciwPatientClaimInteractiveRequestBodyPatientClaimInteractivePayeeProvider
          description: >-
            Optional. The provider to whom the Medicare benefit is paid, if
            different from the servicing provider.
        patient:
          $ref: >-
            #/components/schemas/PciwPatientClaimInteractiveRequestBodyPatientClaimInteractivePatient
        claimant:
          $ref: >-
            #/components/schemas/PciwPatientClaimInteractiveRequestBodyPatientClaimInteractiveClaimant
          description: >-
            Optional. Include when the claimant differs from the patient, or to
            supply bank or address details.
        medicalEvent:
          type: array
          items:
            $ref: >-
              #/components/schemas/PciwPatientClaimInteractiveRequestBodyPatientClaimInteractiveMedicalEventItems
      required:
        - accountPaidInd
        - authorisationDate
        - submissionAuthorityInd
        - serviceProvider
        - patient
        - medicalEvent
      title: PciwPatientClaimInteractiveRequestBodyPatientClaimInteractive
    PciwPatientClaimInteractiveRequestBody:
      type: object
      properties:
        correlationId:
          type: string
          description: >-
            Optional. Supply a unique transaction ID in the format
            `urn:uuid:{MinorId}{16 hex chars}`. If omitted, RebateRight
            generates one automatically.
        patientClaimInteractive:
          $ref: >-
            #/components/schemas/PciwPatientClaimInteractiveRequestBodyPatientClaimInteractive
      required:
        - patientClaimInteractive
      title: PciwPatientClaimInteractiveRequestBody
    PciwPatientClaimInteractiveSuccessResponseClaimAssessmentError:
      type: object
      properties:
        code:
          type: integer
        text:
          type: string
      title: PciwPatientClaimInteractiveSuccessResponseClaimAssessmentError
    PciwPatientClaimInteractiveSuccessResponseClaimAssessmentClaimantCurrentMembership:
      type: object
      properties:
        memberNumber:
          type: string
        memberRefNumber:
          type: string
      title: >-
        PciwPatientClaimInteractiveSuccessResponseClaimAssessmentClaimantCurrentMembership
    PciwPatientClaimInteractiveSuccessResponseClaimAssessmentClaimant:
      type: object
      properties:
        currentMembership:
          $ref: >-
            #/components/schemas/PciwPatientClaimInteractiveSuccessResponseClaimAssessmentClaimantCurrentMembership
      title: PciwPatientClaimInteractiveSuccessResponseClaimAssessmentClaimant
    PciwPatientClaimInteractiveSuccessResponseClaimAssessmentPatientCurrentMembership:
      type: object
      properties:
        memberNumber:
          type: string
        memberRefNumber:
          type: string
      title: >-
        PciwPatientClaimInteractiveSuccessResponseClaimAssessmentPatientCurrentMembership
    PciwPatientClaimInteractiveSuccessResponseClaimAssessmentPatient:
      type: object
      properties:
        currentMembership:
          $ref: >-
            #/components/schemas/PciwPatientClaimInteractiveSuccessResponseClaimAssessmentPatientCurrentMembership
      title: PciwPatientClaimInteractiveSuccessResponseClaimAssessmentPatient
    PciwPatientClaimInteractiveSuccessResponseClaimAssessmentMedicalEventItemsServiceItemsError:
      type: object
      properties:
        code:
          type: integer
        text:
          type: string
      title: >-
        PciwPatientClaimInteractiveSuccessResponseClaimAssessmentMedicalEventItemsServiceItemsError
    PciwPatientClaimInteractiveSuccessResponseClaimAssessmentMedicalEventItemsServiceItems:
      type: object
      properties:
        id:
          type: string
        itemNumber:
          type: string
        chargeAmount:
          type: string
        assessmentCode:
          type: string
        benefitPaid:
          type: string
        numberOfPatientsSeen:
          type: string
        error:
          $ref: >-
            #/components/schemas/PciwPatientClaimInteractiveSuccessResponseClaimAssessmentMedicalEventItemsServiceItemsError
      required:
        - id
        - itemNumber
        - chargeAmount
      title: >-
        PciwPatientClaimInteractiveSuccessResponseClaimAssessmentMedicalEventItemsServiceItems
    PciwPatientClaimInteractiveSuccessResponseClaimAssessmentMedicalEventItems:
      type: object
      properties:
        id:
          type: string
        eventDate:
          type: string
          format: date
        service:
          type: array
          items:
            $ref: >-
              #/components/schemas/PciwPatientClaimInteractiveSuccessResponseClaimAssessmentMedicalEventItemsServiceItems
      required:
        - id
        - eventDate
        - service
      title: >-
        PciwPatientClaimInteractiveSuccessResponseClaimAssessmentMedicalEventItems
    PciwPatientClaimInteractiveSuccessResponseClaimAssessment:
      type: object
      properties:
        claimId:
          type: string
        error:
          $ref: >-
            #/components/schemas/PciwPatientClaimInteractiveSuccessResponseClaimAssessmentError
        claimant:
          $ref: >-
            #/components/schemas/PciwPatientClaimInteractiveSuccessResponseClaimAssessmentClaimant
        patient:
          $ref: >-
            #/components/schemas/PciwPatientClaimInteractiveSuccessResponseClaimAssessmentPatient
        medicalEvent:
          type: array
          items:
            $ref: >-
              #/components/schemas/PciwPatientClaimInteractiveSuccessResponseClaimAssessmentMedicalEventItems
      required:
        - claimId
      title: PciwPatientClaimInteractiveSuccessResponseClaimAssessment
    PciwPatientClaimInteractiveSuccessResponse:
      type: object
      properties:
        status:
          type: string
        correlationId:
          type: string
        claimAssessment:
          $ref: >-
            #/components/schemas/PciwPatientClaimInteractiveSuccessResponseClaimAssessment
      required:
        - status
        - correlationId
        - claimAssessment
      title: PciwPatientClaimInteractiveSuccessResponse
    PciwMedicareServiceMessageErrorServiceMessageItems:
      type: object
      properties:
        code:
          type: string
          description: Medicare error code.
        severity:
          type: string
          description: Severity for this message (e.g. `Error`).
        reason:
          type: string
          description: Human-readable explanation.
      required:
        - code
        - severity
        - reason
      title: PciwMedicareServiceMessageErrorServiceMessageItems
    PciwMedicareServiceMessageError:
      type: object
      properties:
        highestSeverity:
          type: string
          description: Highest severity across all messages (typically `Error`).
        correlationId:
          type: string
          description: Echo of the request `correlationId` for tracing.
        serviceMessage:
          type: array
          items:
            $ref: >-
              #/components/schemas/PciwMedicareServiceMessageErrorServiceMessageItems
          description: One or more Medicare validation or business-rule messages.
      required:
        - highestSeverity
        - correlationId
        - serviceMessage
      title: PciwMedicareServiceMessageError
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
    minorId:
      type: apiKey
      in: header
      name: x-minor-id

```

## SDK Code Examples

```python Claim Assessed
import requests

url = "https://api.rebateright.com.au/Medicare/patientclaiminteractive/general/v1"

payload = { "patientClaimInteractive": {
        "accountPaidInd": "Y",
        "authorisationDate": "2026-04-13",
        "submissionAuthorityInd": "Y",
        "serviceProvider": { "providerNumber": "2447781L" },
        "patient": {
            "identity": {
                "givenName": "Clint",
                "familyName": "FLETCHER",
                "dateOfBirth": "2009-02-08"
            },
            "medicare": {
                "memberNumber": "4951525561",
                "memberRefNumber": "3"
            }
        },
        "medicalEvent": [
            {
                "id": "01",
                "medicalEventDate": "2026-04-13",
                "service": [
                    {
                        "id": "0001",
                        "itemNumber": "23",
                        "chargeAmount": "15075"
                    }
                ]
            }
        ],
        "claimant": {
            "identity": {
                "givenName": "Clint",
                "familyName": "FLETCHER",
                "dateOfBirth": "2009-02-08"
            },
            "medicare": {
                "memberNumber": "4951525561",
                "memberRefNumber": "3"
            }
        }
    } }
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Claim Assessed
const url = 'https://api.rebateright.com.au/Medicare/patientclaiminteractive/general/v1';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"patientClaimInteractive":{"accountPaidInd":"Y","authorisationDate":"2026-04-13","submissionAuthorityInd":"Y","serviceProvider":{"providerNumber":"2447781L"},"patient":{"identity":{"givenName":"Clint","familyName":"FLETCHER","dateOfBirth":"2009-02-08"},"medicare":{"memberNumber":"4951525561","memberRefNumber":"3"}},"medicalEvent":[{"id":"01","medicalEventDate":"2026-04-13","service":[{"id":"0001","itemNumber":"23","chargeAmount":"15075"}]}],"claimant":{"identity":{"givenName":"Clint","familyName":"FLETCHER","dateOfBirth":"2009-02-08"},"medicare":{"memberNumber":"4951525561","memberRefNumber":"3"}}}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Claim Assessed
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.rebateright.com.au/Medicare/patientclaiminteractive/general/v1"

	payload := strings.NewReader("{\n  \"patientClaimInteractive\": {\n    \"accountPaidInd\": \"Y\",\n    \"authorisationDate\": \"2026-04-13\",\n    \"submissionAuthorityInd\": \"Y\",\n    \"serviceProvider\": {\n      \"providerNumber\": \"2447781L\"\n    },\n    \"patient\": {\n      \"identity\": {\n        \"givenName\": \"Clint\",\n        \"familyName\": \"FLETCHER\",\n        \"dateOfBirth\": \"2009-02-08\"\n      },\n      \"medicare\": {\n        \"memberNumber\": \"4951525561\",\n        \"memberRefNumber\": \"3\"\n      }\n    },\n    \"medicalEvent\": [\n      {\n        \"id\": \"01\",\n        \"medicalEventDate\": \"2026-04-13\",\n        \"service\": [\n          {\n            \"id\": \"0001\",\n            \"itemNumber\": \"23\",\n            \"chargeAmount\": \"15075\"\n          }\n        ]\n      }\n    ],\n    \"claimant\": {\n      \"identity\": {\n        \"givenName\": \"Clint\",\n        \"familyName\": \"FLETCHER\",\n        \"dateOfBirth\": \"2009-02-08\"\n      },\n      \"medicare\": {\n        \"memberNumber\": \"4951525561\",\n        \"memberRefNumber\": \"3\"\n      }\n    }\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Claim Assessed
require 'uri'
require 'net/http'

url = URI("https://api.rebateright.com.au/Medicare/patientclaiminteractive/general/v1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"patientClaimInteractive\": {\n    \"accountPaidInd\": \"Y\",\n    \"authorisationDate\": \"2026-04-13\",\n    \"submissionAuthorityInd\": \"Y\",\n    \"serviceProvider\": {\n      \"providerNumber\": \"2447781L\"\n    },\n    \"patient\": {\n      \"identity\": {\n        \"givenName\": \"Clint\",\n        \"familyName\": \"FLETCHER\",\n        \"dateOfBirth\": \"2009-02-08\"\n      },\n      \"medicare\": {\n        \"memberNumber\": \"4951525561\",\n        \"memberRefNumber\": \"3\"\n      }\n    },\n    \"medicalEvent\": [\n      {\n        \"id\": \"01\",\n        \"medicalEventDate\": \"2026-04-13\",\n        \"service\": [\n          {\n            \"id\": \"0001\",\n            \"itemNumber\": \"23\",\n            \"chargeAmount\": \"15075\"\n          }\n        ]\n      }\n    ],\n    \"claimant\": {\n      \"identity\": {\n        \"givenName\": \"Clint\",\n        \"familyName\": \"FLETCHER\",\n        \"dateOfBirth\": \"2009-02-08\"\n      },\n      \"medicare\": {\n        \"memberNumber\": \"4951525561\",\n        \"memberRefNumber\": \"3\"\n      }\n    }\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Claim Assessed
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.rebateright.com.au/Medicare/patientclaiminteractive/general/v1")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"patientClaimInteractive\": {\n    \"accountPaidInd\": \"Y\",\n    \"authorisationDate\": \"2026-04-13\",\n    \"submissionAuthorityInd\": \"Y\",\n    \"serviceProvider\": {\n      \"providerNumber\": \"2447781L\"\n    },\n    \"patient\": {\n      \"identity\": {\n        \"givenName\": \"Clint\",\n        \"familyName\": \"FLETCHER\",\n        \"dateOfBirth\": \"2009-02-08\"\n      },\n      \"medicare\": {\n        \"memberNumber\": \"4951525561\",\n        \"memberRefNumber\": \"3\"\n      }\n    },\n    \"medicalEvent\": [\n      {\n        \"id\": \"01\",\n        \"medicalEventDate\": \"2026-04-13\",\n        \"service\": [\n          {\n            \"id\": \"0001\",\n            \"itemNumber\": \"23\",\n            \"chargeAmount\": \"15075\"\n          }\n        ]\n      }\n    ],\n    \"claimant\": {\n      \"identity\": {\n        \"givenName\": \"Clint\",\n        \"familyName\": \"FLETCHER\",\n        \"dateOfBirth\": \"2009-02-08\"\n      },\n      \"medicare\": {\n        \"memberNumber\": \"4951525561\",\n        \"memberRefNumber\": \"3\"\n      }\n    }\n  }\n}")
  .asString();
```

```php Claim Assessed
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.rebateright.com.au/Medicare/patientclaiminteractive/general/v1', [
  'body' => '{
  "patientClaimInteractive": {
    "accountPaidInd": "Y",
    "authorisationDate": "2026-04-13",
    "submissionAuthorityInd": "Y",
    "serviceProvider": {
      "providerNumber": "2447781L"
    },
    "patient": {
      "identity": {
        "givenName": "Clint",
        "familyName": "FLETCHER",
        "dateOfBirth": "2009-02-08"
      },
      "medicare": {
        "memberNumber": "4951525561",
        "memberRefNumber": "3"
      }
    },
    "medicalEvent": [
      {
        "id": "01",
        "medicalEventDate": "2026-04-13",
        "service": [
          {
            "id": "0001",
            "itemNumber": "23",
            "chargeAmount": "15075"
          }
        ]
      }
    ],
    "claimant": {
      "identity": {
        "givenName": "Clint",
        "familyName": "FLETCHER",
        "dateOfBirth": "2009-02-08"
      },
      "medicare": {
        "memberNumber": "4951525561",
        "memberRefNumber": "3"
      }
    }
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Claim Assessed
using RestSharp;

var client = new RestClient("https://api.rebateright.com.au/Medicare/patientclaiminteractive/general/v1");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"patientClaimInteractive\": {\n    \"accountPaidInd\": \"Y\",\n    \"authorisationDate\": \"2026-04-13\",\n    \"submissionAuthorityInd\": \"Y\",\n    \"serviceProvider\": {\n      \"providerNumber\": \"2447781L\"\n    },\n    \"patient\": {\n      \"identity\": {\n        \"givenName\": \"Clint\",\n        \"familyName\": \"FLETCHER\",\n        \"dateOfBirth\": \"2009-02-08\"\n      },\n      \"medicare\": {\n        \"memberNumber\": \"4951525561\",\n        \"memberRefNumber\": \"3\"\n      }\n    },\n    \"medicalEvent\": [\n      {\n        \"id\": \"01\",\n        \"medicalEventDate\": \"2026-04-13\",\n        \"service\": [\n          {\n            \"id\": \"0001\",\n            \"itemNumber\": \"23\",\n            \"chargeAmount\": \"15075\"\n          }\n        ]\n      }\n    ],\n    \"claimant\": {\n      \"identity\": {\n        \"givenName\": \"Clint\",\n        \"familyName\": \"FLETCHER\",\n        \"dateOfBirth\": \"2009-02-08\"\n      },\n      \"medicare\": {\n        \"memberNumber\": \"4951525561\",\n        \"memberRefNumber\": \"3\"\n      }\n    }\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Claim Assessed
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["patientClaimInteractive": [
    "accountPaidInd": "Y",
    "authorisationDate": "2026-04-13",
    "submissionAuthorityInd": "Y",
    "serviceProvider": ["providerNumber": "2447781L"],
    "patient": [
      "identity": [
        "givenName": "Clint",
        "familyName": "FLETCHER",
        "dateOfBirth": "2009-02-08"
      ],
      "medicare": [
        "memberNumber": "4951525561",
        "memberRefNumber": "3"
      ]
    ],
    "medicalEvent": [
      [
        "id": "01",
        "medicalEventDate": "2026-04-13",
        "service": [
          [
            "id": "0001",
            "itemNumber": "23",
            "chargeAmount": "15075"
          ]
        ]
      ]
    ],
    "claimant": [
      "identity": [
        "givenName": "Clint",
        "familyName": "FLETCHER",
        "dateOfBirth": "2009-02-08"
      ],
      "medicare": [
        "memberNumber": "4951525561",
        "memberRefNumber": "3"
      ]
    ]
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.rebateright.com.au/Medicare/patientclaiminteractive/general/v1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

```python Pendable - Duplicate Service
import requests

url = "https://api.rebateright.com.au/Medicare/patientclaiminteractive/general/v1"

payload = { "patientClaimInteractive": {
        "accountPaidInd": "Y",
        "authorisationDate": "2026-04-13",
        "submissionAuthorityInd": "Y",
        "serviceProvider": { "providerNumber": "2447781L" },
        "patient": {
            "identity": {
                "givenName": "Clint",
                "familyName": "FLETCHER",
                "dateOfBirth": "2009-02-08"
            },
            "medicare": {
                "memberNumber": "4951525561",
                "memberRefNumber": "3"
            }
        },
        "medicalEvent": [
            {
                "id": "01",
                "medicalEventDate": "2026-04-13",
                "service": [
                    {
                        "id": "0001",
                        "itemNumber": "23",
                        "chargeAmount": "15075"
                    }
                ]
            }
        ],
        "claimant": {
            "identity": {
                "givenName": "Clint",
                "familyName": "FLETCHER",
                "dateOfBirth": "2009-02-08"
            },
            "medicare": {
                "memberNumber": "4951525561",
                "memberRefNumber": "3"
            }
        }
    } }
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Pendable - Duplicate Service
const url = 'https://api.rebateright.com.au/Medicare/patientclaiminteractive/general/v1';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"patientClaimInteractive":{"accountPaidInd":"Y","authorisationDate":"2026-04-13","submissionAuthorityInd":"Y","serviceProvider":{"providerNumber":"2447781L"},"patient":{"identity":{"givenName":"Clint","familyName":"FLETCHER","dateOfBirth":"2009-02-08"},"medicare":{"memberNumber":"4951525561","memberRefNumber":"3"}},"medicalEvent":[{"id":"01","medicalEventDate":"2026-04-13","service":[{"id":"0001","itemNumber":"23","chargeAmount":"15075"}]}],"claimant":{"identity":{"givenName":"Clint","familyName":"FLETCHER","dateOfBirth":"2009-02-08"},"medicare":{"memberNumber":"4951525561","memberRefNumber":"3"}}}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Pendable - Duplicate Service
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.rebateright.com.au/Medicare/patientclaiminteractive/general/v1"

	payload := strings.NewReader("{\n  \"patientClaimInteractive\": {\n    \"accountPaidInd\": \"Y\",\n    \"authorisationDate\": \"2026-04-13\",\n    \"submissionAuthorityInd\": \"Y\",\n    \"serviceProvider\": {\n      \"providerNumber\": \"2447781L\"\n    },\n    \"patient\": {\n      \"identity\": {\n        \"givenName\": \"Clint\",\n        \"familyName\": \"FLETCHER\",\n        \"dateOfBirth\": \"2009-02-08\"\n      },\n      \"medicare\": {\n        \"memberNumber\": \"4951525561\",\n        \"memberRefNumber\": \"3\"\n      }\n    },\n    \"medicalEvent\": [\n      {\n        \"id\": \"01\",\n        \"medicalEventDate\": \"2026-04-13\",\n        \"service\": [\n          {\n            \"id\": \"0001\",\n            \"itemNumber\": \"23\",\n            \"chargeAmount\": \"15075\"\n          }\n        ]\n      }\n    ],\n    \"claimant\": {\n      \"identity\": {\n        \"givenName\": \"Clint\",\n        \"familyName\": \"FLETCHER\",\n        \"dateOfBirth\": \"2009-02-08\"\n      },\n      \"medicare\": {\n        \"memberNumber\": \"4951525561\",\n        \"memberRefNumber\": \"3\"\n      }\n    }\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Pendable - Duplicate Service
require 'uri'
require 'net/http'

url = URI("https://api.rebateright.com.au/Medicare/patientclaiminteractive/general/v1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"patientClaimInteractive\": {\n    \"accountPaidInd\": \"Y\",\n    \"authorisationDate\": \"2026-04-13\",\n    \"submissionAuthorityInd\": \"Y\",\n    \"serviceProvider\": {\n      \"providerNumber\": \"2447781L\"\n    },\n    \"patient\": {\n      \"identity\": {\n        \"givenName\": \"Clint\",\n        \"familyName\": \"FLETCHER\",\n        \"dateOfBirth\": \"2009-02-08\"\n      },\n      \"medicare\": {\n        \"memberNumber\": \"4951525561\",\n        \"memberRefNumber\": \"3\"\n      }\n    },\n    \"medicalEvent\": [\n      {\n        \"id\": \"01\",\n        \"medicalEventDate\": \"2026-04-13\",\n        \"service\": [\n          {\n            \"id\": \"0001\",\n            \"itemNumber\": \"23\",\n            \"chargeAmount\": \"15075\"\n          }\n        ]\n      }\n    ],\n    \"claimant\": {\n      \"identity\": {\n        \"givenName\": \"Clint\",\n        \"familyName\": \"FLETCHER\",\n        \"dateOfBirth\": \"2009-02-08\"\n      },\n      \"medicare\": {\n        \"memberNumber\": \"4951525561\",\n        \"memberRefNumber\": \"3\"\n      }\n    }\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Pendable - Duplicate Service
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.rebateright.com.au/Medicare/patientclaiminteractive/general/v1")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"patientClaimInteractive\": {\n    \"accountPaidInd\": \"Y\",\n    \"authorisationDate\": \"2026-04-13\",\n    \"submissionAuthorityInd\": \"Y\",\n    \"serviceProvider\": {\n      \"providerNumber\": \"2447781L\"\n    },\n    \"patient\": {\n      \"identity\": {\n        \"givenName\": \"Clint\",\n        \"familyName\": \"FLETCHER\",\n        \"dateOfBirth\": \"2009-02-08\"\n      },\n      \"medicare\": {\n        \"memberNumber\": \"4951525561\",\n        \"memberRefNumber\": \"3\"\n      }\n    },\n    \"medicalEvent\": [\n      {\n        \"id\": \"01\",\n        \"medicalEventDate\": \"2026-04-13\",\n        \"service\": [\n          {\n            \"id\": \"0001\",\n            \"itemNumber\": \"23\",\n            \"chargeAmount\": \"15075\"\n          }\n        ]\n      }\n    ],\n    \"claimant\": {\n      \"identity\": {\n        \"givenName\": \"Clint\",\n        \"familyName\": \"FLETCHER\",\n        \"dateOfBirth\": \"2009-02-08\"\n      },\n      \"medicare\": {\n        \"memberNumber\": \"4951525561\",\n        \"memberRefNumber\": \"3\"\n      }\n    }\n  }\n}")
  .asString();
```

```php Pendable - Duplicate Service
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.rebateright.com.au/Medicare/patientclaiminteractive/general/v1', [
  'body' => '{
  "patientClaimInteractive": {
    "accountPaidInd": "Y",
    "authorisationDate": "2026-04-13",
    "submissionAuthorityInd": "Y",
    "serviceProvider": {
      "providerNumber": "2447781L"
    },
    "patient": {
      "identity": {
        "givenName": "Clint",
        "familyName": "FLETCHER",
        "dateOfBirth": "2009-02-08"
      },
      "medicare": {
        "memberNumber": "4951525561",
        "memberRefNumber": "3"
      }
    },
    "medicalEvent": [
      {
        "id": "01",
        "medicalEventDate": "2026-04-13",
        "service": [
          {
            "id": "0001",
            "itemNumber": "23",
            "chargeAmount": "15075"
          }
        ]
      }
    ],
    "claimant": {
      "identity": {
        "givenName": "Clint",
        "familyName": "FLETCHER",
        "dateOfBirth": "2009-02-08"
      },
      "medicare": {
        "memberNumber": "4951525561",
        "memberRefNumber": "3"
      }
    }
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Pendable - Duplicate Service
using RestSharp;

var client = new RestClient("https://api.rebateright.com.au/Medicare/patientclaiminteractive/general/v1");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"patientClaimInteractive\": {\n    \"accountPaidInd\": \"Y\",\n    \"authorisationDate\": \"2026-04-13\",\n    \"submissionAuthorityInd\": \"Y\",\n    \"serviceProvider\": {\n      \"providerNumber\": \"2447781L\"\n    },\n    \"patient\": {\n      \"identity\": {\n        \"givenName\": \"Clint\",\n        \"familyName\": \"FLETCHER\",\n        \"dateOfBirth\": \"2009-02-08\"\n      },\n      \"medicare\": {\n        \"memberNumber\": \"4951525561\",\n        \"memberRefNumber\": \"3\"\n      }\n    },\n    \"medicalEvent\": [\n      {\n        \"id\": \"01\",\n        \"medicalEventDate\": \"2026-04-13\",\n        \"service\": [\n          {\n            \"id\": \"0001\",\n            \"itemNumber\": \"23\",\n            \"chargeAmount\": \"15075\"\n          }\n        ]\n      }\n    ],\n    \"claimant\": {\n      \"identity\": {\n        \"givenName\": \"Clint\",\n        \"familyName\": \"FLETCHER\",\n        \"dateOfBirth\": \"2009-02-08\"\n      },\n      \"medicare\": {\n        \"memberNumber\": \"4951525561\",\n        \"memberRefNumber\": \"3\"\n      }\n    }\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Pendable - Duplicate Service
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["patientClaimInteractive": [
    "accountPaidInd": "Y",
    "authorisationDate": "2026-04-13",
    "submissionAuthorityInd": "Y",
    "serviceProvider": ["providerNumber": "2447781L"],
    "patient": [
      "identity": [
        "givenName": "Clint",
        "familyName": "FLETCHER",
        "dateOfBirth": "2009-02-08"
      ],
      "medicare": [
        "memberNumber": "4951525561",
        "memberRefNumber": "3"
      ]
    ],
    "medicalEvent": [
      [
        "id": "01",
        "medicalEventDate": "2026-04-13",
        "service": [
          [
            "id": "0001",
            "itemNumber": "23",
            "chargeAmount": "15075"
          ]
        ]
      ]
    ],
    "claimant": [
      "identity": [
        "givenName": "Clint",
        "familyName": "FLETCHER",
        "dateOfBirth": "2009-02-08"
      ],
      "medicare": [
        "memberNumber": "4951525561",
        "memberRefNumber": "3"
      ]
    ]
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.rebateright.com.au/Medicare/patientclaiminteractive/general/v1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

```python Pended
import requests

url = "https://api.rebateright.com.au/Medicare/patientclaiminteractive/general/v1"

payload = {
    "patientClaimInteractive": {
        "accountPaidInd": "Y",
        "authorisationDate": "2026-04-13",
        "submissionAuthorityInd": "Y",
        "serviceProvider": { "providerNumber": "2447781L" },
        "patient": {
            "identity": {
                "givenName": "Clint",
                "familyName": "FLETCHER",
                "dateOfBirth": "2009-02-08"
            },
            "medicare": {
                "memberNumber": "4951525561",
                "memberRefNumber": "3"
            }
        },
        "medicalEvent": [
            {
                "id": "01",
                "medicalEventDate": "2026-04-13",
                "service": [
                    {
                        "id": "0001",
                        "itemNumber": "23",
                        "chargeAmount": "15075"
                    }
                ]
            }
        ],
        "claimant": {
            "identity": {
                "givenName": "Clint",
                "familyName": "FLETCHER",
                "dateOfBirth": "2009-02-08"
            },
            "medicare": {
                "memberNumber": "4951525561",
                "memberRefNumber": "3"
            }
        }
    },
    "correlationId": "urn:uuid:MDE00000b896820b03e348a5"
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Pended
const url = 'https://api.rebateright.com.au/Medicare/patientclaiminteractive/general/v1';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"patientClaimInteractive":{"accountPaidInd":"Y","authorisationDate":"2026-04-13","submissionAuthorityInd":"Y","serviceProvider":{"providerNumber":"2447781L"},"patient":{"identity":{"givenName":"Clint","familyName":"FLETCHER","dateOfBirth":"2009-02-08"},"medicare":{"memberNumber":"4951525561","memberRefNumber":"3"}},"medicalEvent":[{"id":"01","medicalEventDate":"2026-04-13","service":[{"id":"0001","itemNumber":"23","chargeAmount":"15075"}]}],"claimant":{"identity":{"givenName":"Clint","familyName":"FLETCHER","dateOfBirth":"2009-02-08"},"medicare":{"memberNumber":"4951525561","memberRefNumber":"3"}}},"correlationId":"urn:uuid:MDE00000b896820b03e348a5"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Pended
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.rebateright.com.au/Medicare/patientclaiminteractive/general/v1"

	payload := strings.NewReader("{\n  \"patientClaimInteractive\": {\n    \"accountPaidInd\": \"Y\",\n    \"authorisationDate\": \"2026-04-13\",\n    \"submissionAuthorityInd\": \"Y\",\n    \"serviceProvider\": {\n      \"providerNumber\": \"2447781L\"\n    },\n    \"patient\": {\n      \"identity\": {\n        \"givenName\": \"Clint\",\n        \"familyName\": \"FLETCHER\",\n        \"dateOfBirth\": \"2009-02-08\"\n      },\n      \"medicare\": {\n        \"memberNumber\": \"4951525561\",\n        \"memberRefNumber\": \"3\"\n      }\n    },\n    \"medicalEvent\": [\n      {\n        \"id\": \"01\",\n        \"medicalEventDate\": \"2026-04-13\",\n        \"service\": [\n          {\n            \"id\": \"0001\",\n            \"itemNumber\": \"23\",\n            \"chargeAmount\": \"15075\"\n          }\n        ]\n      }\n    ],\n    \"claimant\": {\n      \"identity\": {\n        \"givenName\": \"Clint\",\n        \"familyName\": \"FLETCHER\",\n        \"dateOfBirth\": \"2009-02-08\"\n      },\n      \"medicare\": {\n        \"memberNumber\": \"4951525561\",\n        \"memberRefNumber\": \"3\"\n      }\n    }\n  },\n  \"correlationId\": \"urn:uuid:MDE00000b896820b03e348a5\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Pended
require 'uri'
require 'net/http'

url = URI("https://api.rebateright.com.au/Medicare/patientclaiminteractive/general/v1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"patientClaimInteractive\": {\n    \"accountPaidInd\": \"Y\",\n    \"authorisationDate\": \"2026-04-13\",\n    \"submissionAuthorityInd\": \"Y\",\n    \"serviceProvider\": {\n      \"providerNumber\": \"2447781L\"\n    },\n    \"patient\": {\n      \"identity\": {\n        \"givenName\": \"Clint\",\n        \"familyName\": \"FLETCHER\",\n        \"dateOfBirth\": \"2009-02-08\"\n      },\n      \"medicare\": {\n        \"memberNumber\": \"4951525561\",\n        \"memberRefNumber\": \"3\"\n      }\n    },\n    \"medicalEvent\": [\n      {\n        \"id\": \"01\",\n        \"medicalEventDate\": \"2026-04-13\",\n        \"service\": [\n          {\n            \"id\": \"0001\",\n            \"itemNumber\": \"23\",\n            \"chargeAmount\": \"15075\"\n          }\n        ]\n      }\n    ],\n    \"claimant\": {\n      \"identity\": {\n        \"givenName\": \"Clint\",\n        \"familyName\": \"FLETCHER\",\n        \"dateOfBirth\": \"2009-02-08\"\n      },\n      \"medicare\": {\n        \"memberNumber\": \"4951525561\",\n        \"memberRefNumber\": \"3\"\n      }\n    }\n  },\n  \"correlationId\": \"urn:uuid:MDE00000b896820b03e348a5\"\n}"

response = http.request(request)
puts response.read_body
```

```java Pended
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.rebateright.com.au/Medicare/patientclaiminteractive/general/v1")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"patientClaimInteractive\": {\n    \"accountPaidInd\": \"Y\",\n    \"authorisationDate\": \"2026-04-13\",\n    \"submissionAuthorityInd\": \"Y\",\n    \"serviceProvider\": {\n      \"providerNumber\": \"2447781L\"\n    },\n    \"patient\": {\n      \"identity\": {\n        \"givenName\": \"Clint\",\n        \"familyName\": \"FLETCHER\",\n        \"dateOfBirth\": \"2009-02-08\"\n      },\n      \"medicare\": {\n        \"memberNumber\": \"4951525561\",\n        \"memberRefNumber\": \"3\"\n      }\n    },\n    \"medicalEvent\": [\n      {\n        \"id\": \"01\",\n        \"medicalEventDate\": \"2026-04-13\",\n        \"service\": [\n          {\n            \"id\": \"0001\",\n            \"itemNumber\": \"23\",\n            \"chargeAmount\": \"15075\"\n          }\n        ]\n      }\n    ],\n    \"claimant\": {\n      \"identity\": {\n        \"givenName\": \"Clint\",\n        \"familyName\": \"FLETCHER\",\n        \"dateOfBirth\": \"2009-02-08\"\n      },\n      \"medicare\": {\n        \"memberNumber\": \"4951525561\",\n        \"memberRefNumber\": \"3\"\n      }\n    }\n  },\n  \"correlationId\": \"urn:uuid:MDE00000b896820b03e348a5\"\n}")
  .asString();
```

```php Pended
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.rebateright.com.au/Medicare/patientclaiminteractive/general/v1', [
  'body' => '{
  "patientClaimInteractive": {
    "accountPaidInd": "Y",
    "authorisationDate": "2026-04-13",
    "submissionAuthorityInd": "Y",
    "serviceProvider": {
      "providerNumber": "2447781L"
    },
    "patient": {
      "identity": {
        "givenName": "Clint",
        "familyName": "FLETCHER",
        "dateOfBirth": "2009-02-08"
      },
      "medicare": {
        "memberNumber": "4951525561",
        "memberRefNumber": "3"
      }
    },
    "medicalEvent": [
      {
        "id": "01",
        "medicalEventDate": "2026-04-13",
        "service": [
          {
            "id": "0001",
            "itemNumber": "23",
            "chargeAmount": "15075"
          }
        ]
      }
    ],
    "claimant": {
      "identity": {
        "givenName": "Clint",
        "familyName": "FLETCHER",
        "dateOfBirth": "2009-02-08"
      },
      "medicare": {
        "memberNumber": "4951525561",
        "memberRefNumber": "3"
      }
    }
  },
  "correlationId": "urn:uuid:MDE00000b896820b03e348a5"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Pended
using RestSharp;

var client = new RestClient("https://api.rebateright.com.au/Medicare/patientclaiminteractive/general/v1");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"patientClaimInteractive\": {\n    \"accountPaidInd\": \"Y\",\n    \"authorisationDate\": \"2026-04-13\",\n    \"submissionAuthorityInd\": \"Y\",\n    \"serviceProvider\": {\n      \"providerNumber\": \"2447781L\"\n    },\n    \"patient\": {\n      \"identity\": {\n        \"givenName\": \"Clint\",\n        \"familyName\": \"FLETCHER\",\n        \"dateOfBirth\": \"2009-02-08\"\n      },\n      \"medicare\": {\n        \"memberNumber\": \"4951525561\",\n        \"memberRefNumber\": \"3\"\n      }\n    },\n    \"medicalEvent\": [\n      {\n        \"id\": \"01\",\n        \"medicalEventDate\": \"2026-04-13\",\n        \"service\": [\n          {\n            \"id\": \"0001\",\n            \"itemNumber\": \"23\",\n            \"chargeAmount\": \"15075\"\n          }\n        ]\n      }\n    ],\n    \"claimant\": {\n      \"identity\": {\n        \"givenName\": \"Clint\",\n        \"familyName\": \"FLETCHER\",\n        \"dateOfBirth\": \"2009-02-08\"\n      },\n      \"medicare\": {\n        \"memberNumber\": \"4951525561\",\n        \"memberRefNumber\": \"3\"\n      }\n    }\n  },\n  \"correlationId\": \"urn:uuid:MDE00000b896820b03e348a5\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Pended
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "patientClaimInteractive": [
    "accountPaidInd": "Y",
    "authorisationDate": "2026-04-13",
    "submissionAuthorityInd": "Y",
    "serviceProvider": ["providerNumber": "2447781L"],
    "patient": [
      "identity": [
        "givenName": "Clint",
        "familyName": "FLETCHER",
        "dateOfBirth": "2009-02-08"
      ],
      "medicare": [
        "memberNumber": "4951525561",
        "memberRefNumber": "3"
      ]
    ],
    "medicalEvent": [
      [
        "id": "01",
        "medicalEventDate": "2026-04-13",
        "service": [
          [
            "id": "0001",
            "itemNumber": "23",
            "chargeAmount": "15075"
          ]
        ]
      ]
    ],
    "claimant": [
      "identity": [
        "givenName": "Clint",
        "familyName": "FLETCHER",
        "dateOfBirth": "2009-02-08"
      ],
      "medicare": [
        "memberNumber": "4951525561",
        "memberRefNumber": "3"
      ]
    ]
  ],
  "correlationId": "urn:uuid:MDE00000b896820b03e348a5"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.rebateright.com.au/Medicare/patientclaiminteractive/general/v1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```